

import WidthEllipsis from "@/components/widthEllipsis"
import React from "react"
import EnabledSwitch from "./enabledSwitch"

function columnsPosCode(refresh: () => void) {

    let newArr: any = [
        {
            title: '礼包码',
            dataIndex: 'code',
            key: 'code',
            width: 100,
            render: (a: string) => (<WidthEllipsis value={a} isCopy/>)
        },
        {
            title: '可用',
            dataIndex: 'enabled',
            key: 'enabled',
            align: 'center',
            width: 70,
            render: (a: boolean, b: any) => (<EnabledSwitch value={a} id={b.id} onChange={refresh}/>)
        },
        {
            title: '创建人',
            dataIndex: 'createByName',
            key: 'createByName',
            align: 'center',
            width: 100,
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '创建时间',
            dataIndex: 'createTime',
            key: 'createTime',
            align: 'center',
            width: 135,
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '更新人',
            dataIndex: 'updateByName',
            key: 'updateByName',
            align: 'center',
            width: 100,
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '更新时间',
            dataIndex: 'updateTime',
            key: 'updateTime',
            align: 'center',
            width: 135,
            render: (a: string) => (<WidthEllipsis value={a} />)
        }
    ]
    return newArr
}


export default columnsPosCode